#! /bin/sh

OS="`uname -s|sed 's/[^A-Za-z0-9]//g'`"

if [ $OS = "AIX" ] ; then
  VERSION=`uname -v|sed 's/[.][0-9].*//g'`
else
  if [ $OS = "HPUX" -o $OS = "OSF1" ] ; then
    VERSION=`uname -r|sed 's/^[^0-9]*//g;s/[.][0-9].*//g'`
  else
    VERSION=`uname -r|sed 's/[.][0-9].*//g'`
  fi
fi
VERSION=`echo $VERSION|sed 's/^0*//g'`

OSNAME=$OS"_"$VERSION
 
export OSNAME

echo $OSNAME

